Assassin's Creed Origins is still not working on CPUs without SSE 4.1 & 4.2, like the AMD Phenom II

It's been more than a month since the release of Assassin's Creed Origins and users with CPUs that lack SSE 4.1 or 4.2 support are still unable to play it

Read Full Story >>
The story is too old to be commented.
TeamIcoFan106d ago

At risk at sounding like an asshole, these users only really have themselves to blame.
I mean, the cpus that don't support SSE 4 are over 10 years old, there's no excuse for them to not have upgraded to something made in the past decade already...

Psychotica106d ago

Well at some point they have to leave the older stuff behind..